function apishare(obj){
	var dialogBox = api.require('dialogBox');
	dialogBox.actionMenu ({
		rect:{
			h: 180
		},
		texts:{
			cancel:'取消'
		},
		tapClose: true,
		items:[
			{
				text: '微信好友',
				icon: 'widget://image/wxhy.png'
			},
			{
				text: '朋友圈',
				icon: 'widget://image/wxpyq.png'
			},
			{
				text: 'QQ',
				icon: 'widget://image/qq.png'
			},
			{
				text: 'QQ空间',
				icon: 'widget://image/qzone.png'
			}
		],
		styles:{
			bg:'#FFF',
			column: 4,
			itemText: {
				color: '#000',
				size: 12,
				marginT:8
			},
			itemIcon:{
				size:50
			},
			border:{color:'#eee', width: 2,
				marginT:15
			},
			cancel:{
				bg:'fs://icon.png',
				h:60,
				color:'#999',
				size:16
			}
		}
	}, function(ret){
		
		var url = obj.url,
			title = obj.title,
			description = obj.description,
			scene = '',
			thumb = obj.thumb;

		if(ret.eventType == 'cancel'){
			dialogBox.close({
				dialogName:"actionMenu"
			})
			return false;
		}

		switch (ret.index) {
			case 0: 
				scene = 'session';
				shareToWX();
				break;
			case 1: 
				scene = 'timeline';
				shareToWX();
				break;
			case 2:
				scene = 'QFriend';
				shareToQQ();
				break;
			case 3:
				scene = 'QZone';
				shareToQQ();
				break;
			default:
				return false;				
		}


		function shareToWX(){
			var wx = api.require('wx');
			api.download({
	        	url: thumb,
	            report: false,
	            cache: true,
	            allowResume: true
	        }, function( ret, err ){

	            if (ret.state != 1) {
	            	alert('分享图片下载失败');
	            	return false;
	            }
	            var savePath = ret.savePath;

	            wx.isInstalled(function(ret, err) {

	            	if (!ret.installed) {
	            		alert('当前设备未安装微信客户端');
	            		return false;
	            	}
					wx.shareWebpage({
						apiKey: '',
						scene: scene,
						title: title,
						description: description,
						//thumb: 'widget://image/k5game.png',
						thumb: savePath,
						contentUrl: url,
					}, function(ret, err){
	                    if (ret.status) {
	                        alert('分享成功');
	                    }
	                    else {
	                        alert('分享失败');
	                        if (err.code == 3) {
	                            api.toast({
		                            msg: '发送失败',
		                            duration:1500,
		                            location:'middle'
	                            });
	                        }
	                    }
	                });
	            });
	        });
	    }

				

		function shareToQQ(){
			var qq = api.require('QQPlus');
	        qq.installed(function(ret, err) {

	        	if (!ret.status) {
	        		alert('当前设备未安装QQ客户端');
	        		return false;
	        	}

				qq.shareNews({
				    url: url,
				    title: title,
				    description: description,
				    imgUrl: thumb,
				    type: scene
				}, function(ret, err){
					if(ret.status){
						api.alert({msg: '分享成功'})
					}
				});
			});
		}

	});
}

